EDIT - bug #8160

bug # 8075 (Closed): multiple cascade all-delete-orphan exceptions related to DefinedTermBase.representations
CdmBeanltemContainerFactory as readonly service bean

03/04/2019 12:43 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: critical Found in Version:

Description

Turning the CdmBeanltemContainerFactory into a readonly service bean should solve the cascade="all-delete-orphan” problems
mentioned in #8075

Related issues:

Related to EDIT - bug #7106: avoid factory.openSession() in CdmRepository Closed
Has duplicate EDIT - bug #8065: HibernateException: corrupt session problem b... Closed
Has duplicate EDIT - bug #8158: cascade="all-delete-orphan" problem when .... Closed

Associated revisions

Revision f4f3¢705 - 03/04/2019 01:53 PM - Andreas Kohlbecker

ref #8160 CdmBeanltemContainerFactory as service bean to load entities only in readyOnly transactions to avoid unintendet flushing

Revision 09¢85ccb - 03/05/2019 03:49 PM - Andreas Kohlbecker

ref #8160 CdmBeanltemContainerFactory @Transactional only where needed and clearing session before each service call

History

#1 - 03/04/2019 02:07 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50
#2 - 03/04/2019 03:03 PM - Andreas Kohlbecker

- Has duplicate bug #8065: HibernateException: corrupt session problem breaks SpecimenTypeDesignationworkingsetEditor type designation table
added

#3 - 03/05/2019 10:55 AM - Andreas Kohlbecker
- Has duplicate bug #8158: cascade="all-delete-orphan" problem when .... added

#4 - 03/22/2019 07:48 PM - Andreas Kohlbecker
- Related to bug #7106: avoid factory.openSession() in CdmRepository added

#5 - 05/16/2019 02:01 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

The implementation works as expected and the cascade="all-delete-orphan" problems did not occur again
